(function (args) {
    "use strict";

    angular.module('core').factory('lookupService', factory);
    factory.$inject = ['$http', '$q'];

    function factory($http, $q) {

        return {
            getAllBase: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllBase', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllClasse: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllClasse', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllClasseStatus: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllClasseStatus', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getAllMarca: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallmarca', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllTipoProduto: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getalltipoproduto', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllEspecieSerie: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/GetAllEspecieSerie', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllSerie: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/GetAllSerie', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllColecao: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallcolecao', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllGrade: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallgrade', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getAllTipoGrade: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getalltipograde', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllComposicao: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallcomposicao', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllGrupo: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallgrupo', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllEmpresa: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallempresa', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllFornecedor: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallFornecedor', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllCliente: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallcliente', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllLinha: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getalllinha', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllRepresentante: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallrepresentante', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllTransportadora: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getalltransportadora', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllFilial: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallfilial', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllLoja: function (args) {
                var deferred = $q.defer();
               
                $http.post('/_lookup/getallloja', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllUnidade: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallunidade', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllGrupoFiscalProduto: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallgrupofiscalproduto', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllGrupoFiscalOperacao: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/grupofiscaloperacao', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getAllImposto: function (args) {
            
                var deferred = $q.defer();
                $http.post('/_lookup/getAllImposto', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllGrupoComposicaoImposto: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallgrupocomposicaoimposto', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllCompetencia: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallcompetencia', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllNCM: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallncm', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllOrigemTributo: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallorigemtributo', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllSituacaoTributaria: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallsituacaotributaria', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllClassificacaoTributariaIBSCBS: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/GetAllClassificacaoTributariaIBSCBS', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            GetAllSituacaoTributariaIBSCBS: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallsituacaotributariaIBSCBS', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllCodigoFiscalOperacao: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getcodigofiscaloperacao', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllNaturezaOperacao: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallnaturezaoperacao', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllNaturezaOperacaoEntrada: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllNaturezaOperacaoEntrada', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllNaturezaOperacaoSaida: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllNaturezaOperacaoSaida', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
         
            getAllSubstituicaoTributaria: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallsubstituicaotributaria', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllTabelaPreco: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getalltabelapreco', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllVarianteBasica: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallvariantebasica', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllTipoVarianteBasica: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getalltipovariantebasica', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllLookbook: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getalllookbook', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllLook: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getalllook', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllProduto: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallproduto', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllContato: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallcontato', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllConsumidor: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallconsumidor', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllVendedor: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallVendedor', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllFornecedorAutonomo: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallfornecedorautonomo', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllGrupoFiscalEmpresa: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallgrupofiscalempresa', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllGrupoExceção: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallgrupoexceção', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllTipoCliente: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getalltipocliente', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllCondicaoPagamento: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallcondicaopagamento', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllCondicaoPagamentoAtacado: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllCondicaoPagamentoAtacado', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllCondicaoPagamentoVarejo: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllCondicaoPagamentoVarejo', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllEstado: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getallEstado', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getAllBanco: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllBanco', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllCarteiraCobranca: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllCarteiraCobranca', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllContaContabil: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllContaContabil', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllContaAnalitica: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllContaAnalitica', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllContaSintetica: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllContaSintetica', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllContaCorrente: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllContaCorrente', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getAllCategoriaFinanceira: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllCategoriaFinanceira', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllCategoriaSuperiorFinanceira: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllCategoriaSuperiorFinanceira', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllSubcategoriaFinanceira: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllSubcategoriaFinanceira', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getAllCategoriaReceber: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllCategoriaReceber', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllCategoriaSuperiorReceber: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllCategoriaSuperiorReceber', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllSubcategoriaReceber: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllSubcategoriaReceber', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getAllCategoriaPagar: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllCategoriaPagar', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllCategoriaSuperiorPagar: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllCategoriaSuperiorPagar', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllSubcategoriaPagar: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllSubcategoriaPagar', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getAllCentroCusto: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllCentroCusto', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllRateioCentroCusto: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllRateioCentroCusto', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllBandeiraCartao: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllBandeiraCartao', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getAllUsuario: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllUsuario', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllGrupoUsuario: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllGrupoUsuario', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getAllTarefa: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllTarefa', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllDemanda: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllDemanda', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllChamado: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllChamado', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllProjeto: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllProjeto', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllCategoriaTarefa: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllCategoriaTarefa', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },
            getAllModeloProcesso: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getAllModeloProcesso', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },

            getAllTipoPedidoAtacado: function (args) {
                var deferred = $q.defer();
                $http.post('/_lookup/getalltipopedidoatacado', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            },


        };
    }

})();


